/*
 * Tipo: CNEException
 *
 * Marca Registrada (c) 2000 CiN
 * Todos os direitos reservados.
 *
 * Este software  confidencial e propriedade intelectual do 
 * CiN - Centro de Informtica. 
 * Voc no deve utilizar indevidamente este produto em desacordo com o 
 * contrato estabelecido com a empresa.
 */

package classesAbstratas;


/**
* CNEException modela a exceo que  reportada quando 
* uma conta no  encotrada.
* 
*/
public class CNEException extends Exception {
    
    private String numero; // nmero da conta que no foi encontrada

    /**
     * Construtor da classe CNEException.
     *
     * @param numero    nmero da conta que no foi encontrada
     *
     */
    public CNEException(String numero){
        super ("Conta no encontrada!");
        this.numero = numero;
    }

    /**
     * Este mtodo retorna o nmero da conta que no foi encontrada.
     *
     */
    public String getNumero(){
        return numero;
    }
}
