/*
 * Tipo: Conta
 *
 * Marca Registrada (c) 2000 CiN
 * Todos os direitos reservados.
 *
 * Este software  confidencial e propriedade intelectual do 
 * CiN - Centro de Informtica. 
 * Voc no deve utilizar indevidamente este produto em desacordo com o 
 * contrato estabelecido com a empresa.
 */

package classesAbstratas;


/**
* Conta modela uma conta normal de um banco.
* 
*/
public class Conta extends ContaAbstrata {

    /**
     * Construtor da classe Conta.
     *
     * @param numero    nmero da conta
     *
     */
    public Conta(String numero) {
        super (numero);
    }
    
    /**
     * Este mtodo debita um valor ao saldo da conta.
     *
     * @param valor    Valor a ser debitado
     *
     */
    public void debitar(double valor) {
        this.setSaldo(this.getSaldo() - valor);
    }
    
}