/*
 * Tipo: Poupanca
 *
 * Marca Registrada (c) 2000 CiN
 * Todos os direitos reservados.
 *
 * Este software  confidencial e propriedade intelectual do 
 * CiN - Centro de Informtica. 
 * Voc no deve utilizar indevidamente este produto em desacordo com o 
 * contrato estabelecido com a empresa.
 */

package classesAbstratas;


/**
* Poupanca modela uma caderneta de poupana de um banco.
* 
*/
public class Poupanca extends Conta {

    /**
     * Construtor da classeConta.
     *
     * @param numero    nmero da conta
     *
     */
    public Poupanca(String numero) {
        super (numero);
    }
    
    /**
     * Este mtodo debita um valor ao saldo da conta.
     *
     * @param juros    juros que a poupana deve reder
     *
     */
    public void rendeJuros(double juros) {  
        this.creditar(this.getSaldo() * juros);
    }

    
}